# OTP

For phone-based OTP (one-time password) authentication — where an OTP is a single-use 6-digit code sent to verify the identity of a user — Wise supports multiple delivery methods, including SMS, WhatsApp, and voice. Use Wise's secure endpoint to [create](/api-reference/legacy/sca-otp/usersecurityphonenumbercreate) and register the end user's phone number. Then, call the trigger endpoints ([SMS](/api-reference/legacy/sca-otp/ottsmstrigger), [WhatsApp](/api-reference/legacy/sca-otp/ottwhatsapptrigger), [Voice](/api-reference/legacy/sca-otp/ottvoicetrigger)) to send an OTP to the registered number. Finally, submit the OTP via the verify endpoints ([SMS](/api-reference/legacy/sca-otp/ottsmsverify), [WhatsApp](/api-reference/legacy/sca-otp/ottwhatsappverify), [Voice](/api-reference/legacy/sca-otp/ottvoiceverify)) to complete the authentication challenge.
Please read the [SCA over API guide](/guides/developer/auth-and-security/sca-over-api) to understand how SCA integration works.

 - [POST /v1/application/users/{userId}/phone-numbers](https://docs.wise.com/api-reference/legacy/sca-otp/usersecurityphonenumbercreate.md): Create a verified phone number for a user. This endpoint is restricted and requires both a client credentials token and additional access to use. Please speak with your implementation manager if you w
 - [POST /v1/one-time-token/sms/trigger](https://docs.wise.com/api-reference/legacy/sca-otp/ottsmstrigger.md): To trigger a SMS challenge by sending SMS to user verified [phone number](/api-reference/legacy/user-security/usersecurityphonenumberlist) containing a 6 digit one time password (**OTP**). This **OTP*
 - [POST /v1/one-time-token/sms/verify](https://docs.wise.com/api-reference/legacy/sca-otp/ottsmsverify.md): To clear a **SMS** challenge listed in a OTT. Notes: 1. User is required to have a verified phone number. See [create phone number](/api-reference/legacy/sca-otp/usersecurityphonenumbercreate) for mor
 - [POST /v1/one-time-token/whatsapp/trigger](https://docs.wise.com/api-reference/legacy/sca-otp/ottwhatsapptrigger.md): To trigger a WhatsApp challenge by sending WhatsApp message to user verified [phone number](/api-reference/legacy/user-security/usersecurityphonenumberlist) containing a 6 digit one time password (**O
 - [POST /v1/one-time-token/whatsapp/verify](https://docs.wise.com/api-reference/legacy/sca-otp/ottwhatsappverify.md): To clear a **WHATSAPP** challenge listed in a OTT. Notes: 1. User is required to have a verified phone number. See [create phone number](/api-reference/legacy/sca-otp/usersecurityphonenumbercreate) fo
 - [POST /v1/one-time-token/voice/trigger](https://docs.wise.com/api-reference/legacy/sca-otp/ottvoicetrigger.md): To trigger a Voice challenge by sending voice message to user verified [phone number](/api-reference/legacy/user-security/usersecurityphonenumberlist) containing a 6 digit one time password (**OTP**).
 - [POST /v1/one-time-token/voice/verify](https://docs.wise.com/api-reference/legacy/sca-otp/ottvoiceverify.md): To clear a **VOICE** challenge listed in a OTT. Notes: 1. User is required to have a verified phone number. See [create phone number](/api-reference/legacy/sca-otp/usersecurityphonenumbercreate) for m
 - [DELETE /v1/application/users/{userId}/phone-numbers/{phoneNumberId}](https://docs.wise.com/api-reference/legacy/sca-otp/usersecurityphonenumberdelete.md): Delete a verified phone number for a user. This endpoint is restricted and requires both a client credentials token and additional access to use. Please speak with your implementation manager if you w
